import React from 'react';



const KendoToolTip = (props) =>{
    
   

    function myFunction(copyText) {
        var textField = document.createElement('textarea');
        textField.innerText = copyText;
        document.body.appendChild(textField);
        textField.select();
        document.execCommand('copy');
        textField.remove();
      }

    return (
        <td
          title={props.dataItem[props.field]}
          onDoubleClick={() => {
            myFunction(props.dataItem[props.field]);
          }}
        >
          {(props.dataItem[props.field]) ? props.dataItem[props.field].substring(0, 15) + '...' : ""}
        </td>
      );
}

export default KendoToolTip;