import React from "react";
import EmptyDiv from "../EmptyDiv/EmptyDiv";
import FieldsController from "../FieldsController/FieldsController";
import CustomRadioButton from "../RadioButton/CustomRadioButton";
import CustomCheckBox from "../CustomCheckbox/CustomCheckBox";

export const DivController = (props) => {

    return (
            <div class="row-form">

                {props.data.Fields.slice(props.start,props.end).map((obj)=>{
                     
                    if(obj.Type == "DDL"){
                       
                 return( 
                     
                      <FieldsController onChangeData={props.onChangeData} data={obj.Data.Data} label={obj.Label} type = {obj.Type} />
                 )
                    }
                    else if(obj.Type == "EmptyDiv"){
                        return(
                            <EmptyDiv/>
                        )
                    }
                    else if(obj.Type == "Radio"){
                        return( 
                        <CustomRadioButton label={obj.Label} onChangeData={props.onChangeData} ButtonLabel={obj.ButtonsLabel} ButtonValues={obj.ButtonValues} CheckedbyDefault={obj.CheckedbyDefault} />
                        )
                    }
                    else if(obj.Type == "CheckBox"){
                        return( 


                        <CustomCheckBox label={obj.Label}  onChangeData={props.onChangeData} CheckBoxLabel={obj.CheckBoxLabel} CheckBoxValues={obj.CheckBoxValues} CheckedbyDefault={obj.CheckedbyDefault} />
                        )
                    }
                    
                    else{
                        return(
                        <FieldsController length={obj.Length} onChangeData={props.onChangeData}  label={obj.Label} type = {obj.Type} />
                        )
                    }
                })}
            </div>
    )
}

// export default DivController;