import React from "react";
import '../../CSS/_custom.css';
import {Button, Card} from 'react-bootstrap';

export default function KendoGridHeader(props) {


    return (
        <>
            <div class="row">
                <div class="col-lg-12" >
                    <Card size="sm">
                        <Card.Header className='barcolor'>
                            <span className="titletext">{props.KendoGridTitle}</span>
                            <div className="btn_div_margin">
                                {props.stateButtons.map(
                                    (button) =>
                                        <Button onClick={button.method} type="submit" className="custom_button">{button.title}</Button>
                                )}
                            </div>
                        </Card.Header>
                    </Card>
                </div>
            </div>
        </>
    );
}