
import React, { useState, useEffect } from "react";
import './styles.css';

 export function CustomDropDownList(props) {

  const [items, SetItem] = useState(false);

  useEffect(() => {

    if (props.data != undefined || null) {
      SetItem(true);
    }

  });
  return (
    <div class="col-3">
      <label>{props.label}</label>
      <select
        style={{ backgroundImage: `url(${props.backgroundimg})` }}
        name={props.label}
        className="custom_highlight dropDown"
        onChange={(event) => props.onChangeData(event.target.value + "," + event.target.name)}
      >
        <option value={"0"}>Select option </option>
        
          {items ?
          props.data.map((item, index) => (
            <option key={index} value={item.HIDDENVALUES}>
              {item.DISPLAYVALUES}
            </option>
          ))
        : ""}
         
      </select>
    </div>




  )


}

export default CustomDropDownList;






