import React, { useState } from 'react';
import { storiesOf } from '@storybook/react';
import DropDownList from '../components/DropDownList/DropDownList';
import CustomDropDownList from '../components/DropDownList/CustomDropDownList';
import '../styles.css';
import '../CSS/_custom.css';

const stories = storiesOf('Drop Down', module);

stories.add('CustomDropDownList', () => {


  return (
    <>
      <CustomDropDownList label={"Location"} />
    </>
  );
});

stories.add('DropDownList', () => {

  return (
    <>
      <DropDownList static="1" label={"Drop Down"} />
    </>
  );
});

