import React, { useState } from 'react';
import { storiesOf } from '@storybook/react';
import { CustomTextField, TextField } from '../components/TextField';
import '../CSS/_custom.css';
// import '../styles.css';
import Kendo_Grid from '../components/KendoGrid/Kendo_Grid';
import '@progress/kendo-theme-default/dist/all.css';
import {selectedState} from '../components/KendoGrid/Kendo_Grid';
import {FirstName} from '../components/KendoGrid/Kendo_Grid';

const stories = storiesOf('Kendo Grid', module);

let data = [
  {
    Id: 1,
    FIRST_NAME: "Jawad",
    CNIC: "37405-2669875-2"
  },
  {
    Id: 2,
    FIRST_NAME: "Jawad",
    CNIC: "38405-2669875-8"

  },
  {
    Id: 3,
    FIRST_NAME: "Habib",
    CNIC: "37407-2669875-7"

  }
];

const columns = [{
  title: '',
  field: '',
  show: true,
  width: '0px',
  checkBox: true
},
{
  title: 'CNIC',
  field: 'CNIC',
  show: true,
  width: '200px',
  checkBox: false


}, {
  title: 'First Name',
  field: 'FIRST_NAME',
  show: true,
  width: '200px',
  checkBox: false
},
];


stories.add("Grids", () => {

    return (
      <>
        <Kendo_Grid data={data} total={300} stateColumns={columns} />
      </>
    );
  });

